<?php
/**
 * CS HTML Wrapper
 * Copyright (C) 2008, D&SOFT
 * diver@coolsms.co.kr
 */


require_once("Select.php");
require_once("Bar.php");

class DateBox extends Bar
{
	function DateBox($name, $format="yyyymmdd", $default=NULL, $year_from=NULL, $year_to=NULL)
	{
		parent::Bar($name);

		$year_data = array();
		$month_data = array();
		$day_data = array();

		$today = getdate();

		if ($year_from == NULL) {
			$year_from = $today["year"] - 2;
		}
		if ($year_to == NULL) {
			$year_to = $today["year"] + 2;
		}

		$format_year = substr($format, 0, 4);
		$format_month = substr($format, 4, 2);
		$format_day = substr($format, 6, 2);

		if ($default == NULL)
		{
			$year_default = $today["year"];
			$month_default = $today["mon"];
			$day_default= $today["mday"];
		} else {
			$year_default = substr($default, 0, 4);
			$month_default = substr($default, 4, 2);
			$day_default = substr($default, 6, 2);
		}

		if ($format_year == "--")
		{
			$year_data[] = array("", "ü");
		}
		if ($format_month == "--")
		{
			$month_data[] = array("", "ü");
		}
		if ($format_day == "--")
		{
			$day_data[] = array("", "ü");
		}


		for($i = $year_from; $i <= $year_to; $i++) 
		{
			$year_data[] = array("$i", "$i");
		}
		for($i = 1; $i <= 12; $i++) 
		{
			$s = sprintf("%02d", $i);
			$month_data[] = array($s, $s);
		}
		for($i = 1; $i <= 31; $i++) 
		{
			$s = sprintf("%02d", $i);
			$day_data[] = array($s, $s);
		}



		$yyyy = new Select($name."_yyyy", $year_data, $year_default);
		$mm = new Select($name."_mm", $month_data, $month_default);
		$dd = new Select($name."_dd", $day_data, $day_default);

		$this->Add($yyyy);
		$this->Add($mm);
		$this->Add($dd);
	}
}

?>
