<?php
/**
 * CS HTML Wrapper
 * Copyright (C) 2008, D&SOFT
 * diver@coolsms.co.kr
 */


require_once("Body.php");

class Document {
	var $title;
	var $styles;
	var $session;
	var $meta;
	var $scripts;
	var $js;
	var $postscripts;
	var $params;

	var $style_disabled;
	var $body;

	function Document() {
		$this->styles = array();
		$this->scripts = array();
		$this->js = array();
		$this->meta = array();
		$this->postscripts = array();
		$this->params = array();

		$this->style_disabled = 0;
		$this->body = new Body();
	}

	function Add($obj)
	{
		$this->body->Add($obj);
	}

	function SetTitle($title) {
		$this->title = $title;
	}

	function AddStyle($style)
	{
		$this->styles[] = $style;
	}

	// script file
	function AddScript($scpt)
	{
		$this->scripts[] = $scpt;
	}

	function AddJS($js)
	{
		$this->js[] = $js;
	}

	function HeadAdd($meta)
	{
		$this->meta[] = $meta;
	}

	function AddPostScript($script)
	{
		$this->postscripts[] = $script;
	}

	function Get($key)
	{
		if (isset($_POST[$key])) return $_POST[$key];
		if (isset($_GET[$key])) return $_GET[$key];
		if (isset($_SESSION[$key])) return $_SESSION[$key];
		return FALSE;
	}

	function GetCookie($key)
	{
		if (isset($_COOKIE[$key])) return $_COOKIE[$key];
		return FALSE;
	}

	function GetDate($key)
	{
		$year = $this->Get($key . "_yyyy");
		$month = $this->Get($key . "_mm");
		$day = $this->Get($key . "_dd");

		return $year . $month . $day;
	}

	function GetTime($key)
	{
		$hour = $this->Get($key . "_hh");
		$minute = $this->Get($key . "_mi");
		$second = $this->Get($key . "_ss");

		return $hour . $minute . $second;
	}

	function GetInt($key)
	{
		return intval($this->Get($key));
	}

	function GetParams()
	{
		$params_str = "";

		foreach(array_keys($this->params) as $key)
		{
			if ($params_str != "")
				$params_str .= "&";

			$params_str .= $key . "=" . $this->params[$key];
		}

		return $params_str;
	}

	function SetParam($key, $value)
	{
		$this->params[$key] = $value;
	}

	function AddParam($key, $value)
	{
		$this->params[$key] = $value;
	}


	function SetDate($key, $date)
	{
		if (strlen($date) >= 8)
			$this->params[$key . "_dd"] = substr($date, 6, 2);
		if (strlen($date) >= 6)
			$this->params[$key . "_mm"] = substr($date, 4, 2);
		if (strlen($date) >= 4)
			$this->params[$key . "_yyyy"] = substr($date, 0, 4);
	}

	function _Print() {
		global $config;

		$style_disabled = $this->GetInt("style_disabled");

		echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
		echo "<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"ko-KR\">";
		echo "<head>";

		foreach ($this->meta as $meta) {
			echo $meta;
		}

		// style sheet
		foreach ($this->styles as $style) {
			if (substr($style, 0, 4) == "http") {
				$css_path = $style;
			} else {
				$css_path = $config->CSSPath($style);
			}
			if ($style_disabled != 1)
				echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"$css_path\" />";
		}

		// script file
		$menujs_path = $config->JSPath("menu.js");
		echo "<script language=\"javascript\" src=\"$menujs_path\"></script>";
		foreach ($this->scripts as $scpt) {
			if (substr($scpt, 0, 4) == "http") {
				$menujs_path = $scpt;
			} else {
				$menujs_path = $config->JSPath($scpt);
			}
			echo "<script language=\"javascript\" src=\"$menujs_path\"></script>";
		}

		// javascript
		echo "<script language=\"javascript\">";
		foreach($this->js as $js)
		{
			echo $js;
		}
		echo "</script>";

		echo "<title>" . $this->title . "</title>";
		echo "</head>";

		foreach ($this->postscripts as $script) {
			$this->body->Add("<script language=\"javascript\">{$script}</script>");
		}
		$this->body->_Print();
/*
		echo "<body>";
		echo parent::_Print();

		echo "</body>";
*/
		echo "</html>";
	}
}
?>
