<?php
/**
 * CS HTML Wrapper
 * Copyright (C) 2008, D&SOFT
 * diver@coolsms.co.kr
 */


require_once("Layout.php");
require_once("Span.php");
require_once("Input.php");

class RadioElement extends Input
{
	function RadioElement($name, $text)
	{
		parent::Input("radio", $text);
		$this->SetName($name);
	}

}

class Radio extends Layout
{
	var $radio_name;
	var $vertical_align;
	var $data;
	var $default_value;

	function Radio($name, $default_value=NULL)
	{
		global $doc;

		parent::Layout();
		$this->radio_name = $name;
		$this->vertical_align = FALSE;
		$this->data = array();
		$this->default_value = $default_value;

		$this->SetClass("radio_layout");
		$doc->AddStyle("radio.css");
	}

	function Add($value, $text, $attr="")
	{
		$this->data[] = array("value" => $value, "text" => $text, "attr" => $attr);
	}

	function toStr()
	{
		if ($this->vertical_align) {
			$t = new Table();
		} else {
			$t = new Bar();
		}
		$t->SetClass("radio_table");

		foreach ($this->data as $arr) {
			$value = $arr["value"];
			$text = $arr["text"];
			$attr = $arr["attr"];

			$re = new RadioElement($this->radio_name, $value);
			if ($attr != "") {
				foreach($attr as $key => $val) {
					$re->SetAttr($key, $val);
				}
			}
			if ($value == $this->default_value) $re->SetAttr("checked", "checked");

			$span = new Span();
			$span->SetClass("radio_element");
			$span->Add($re);
			$span->Add($text);

			$t->Add($span);
		}

		parent::Add($t);
		return parent::toStr();
	}

	function _Print()
	{
		echo $this->toStr();
	}
}

?>
