<?php
/**
 * CS HTML Wrapper
 * Copyright (C) 2008, D&SOFT
 * diver@coolsms.co.kr
 */


require_once("Object.php");

class Table extends Object
{
	var $head;
	var $rows;
	var $colattr;	

	function Table($id="")
	{
		$this->Object($id);
		
		$this->head = array();
		$this->rows = array();
		$this->colattr = array();

		$this->SetAttr("cellspacing", "0");
		$this->SetAttr("cellpadding", "0");
		$this->SetAttr("border", "0");
	}

	function SetColAttr($col, $attr)
	{
		$this->colattr[$col] = $attr;
	}

	function SetHead($list)
	{
		$this->head = $list;
	}
	
	function Add()
	{
		$numargs = func_num_args();

		if ($numargs == 1) {
			if (is_array(func_get_arg(0))) {
				$this->rows[] = func_get_arg(0);
				return;
			}
		}

		$list = func_get_args();
		$this->rows[] = $list;
	}

	function Count()
	{
		return count($this->rows);
	}

	function toStr()
	{
		$str = "";

		$attr = $this->GetAttr();
		$str .= "<table id=\"$this->id\" class=\"$this->class\" $attr>";
		for($i = 0; $i < count($this->head); $i++) {
			$str .= "<th class=\"th_$i\">";
			if (is_string($this->head[$i])) {
				$str .= $this->head[$i];
			} else {
				$str .= $this->head[$i]->toStr();
			}
			$str .= "</th>";
		}
		
		$rowcount=0;
		foreach ($this->rows as $row) {
			$str .= sprintf("<tr id=\"%s_tr_%d\" class=\"tr_%d\">", $this->id, $rowcount, $rowcount);
			for($i = 0; $i < count($row); $i++) {
				$colattr = "";
				if (isset($this->colattr[$i]))
					$colattr = $this->colattr[$i];
				if (is_array($row[$i]))
				{
					$colval = $row[$i][0];
					$colattr .= " " . $row[$i][1];
				} else {
					$colval = $row[$i];
				}
				$str .= sprintf("<td id=\"%s_td_%d_%d\" class=\"td_%d\" %s>" ,$this->id, $rowcount, $i, $i, $colattr);
				if ($colval == NULL) {
					$str .= "";
				} else if (is_string($colval)) {
					$str .= $colval;
				} else {
					$str .= $colval->toStr();
				}
				$str .= "</td>";
			}
			$str .= "</tr>";
			$rowcount++;
		}
		$str .= "</table>";

		return $str;
	}

	function _Print()
	{
		echo $this->toStr();
	}
}
?>
