<?php
/**
 * CS HTML Wrapper
 * Copyright (C) 2008, D&SOFT
 * diver@coolsms.co.kr
 */


require_once("Bar.php");
require_once("Select.php");

class TimeBox extends Bar
{

	function TimeBox($name, $format="hhmi", $default=NULL, $f_display_unit=false)
	{
		parent::Bar($name);

		$format_length = strlen($format);
		$today = getdate();

		for ($i = 0; $i < 24; $i++) {
			$s = sprintf("%02d", $i);
			$hour_data[] = array($s, $s);
		}
		for ($i = 0; $i < 60; $i++) {
			$s = sprintf("%02d", $i);
			$minute_data[] = array($s, $s);
		}
		for ($i = 0; $i < 60; $i++) {
			$s = sprintf("%02d", $i);
			$second_data[] = array($s, $s);
		}

		if ($default == NULL) {
			$hour_default = $today["hours"];
			$minute_default = $today["minutes"];
			$second_default = $today["seconds"];
		} else {
			$hour_default = substr($default, 0, 2);
			$minute_default = substr($default, 2, 2);
			$second_default = substr($default, 4, 2);
		}


		$hour = new Select($name."_hh", $hour_data, $hour_default);
		$this->Add($hour);
		if ($f_display_unit)
			$this->Add("");
		if ($format_length >= 4) {
			$minute = new Select($name."_mi", $minute_data, $minute_default);
			$this->Add($minute);
			if ($f_display_unit)
				$this->Add("");
		}
		if ($format_length >= 6) {
			$second = new Select($name."_ss", $second_data, $second_default);
			$this->Add($second);
			if ($f_display_unit)
				$this->Add("");
		}
	}
}

?>
