<?php
/**
 * CS HTML Wrapper
 * Copyright (C) 2008, D&SOFT
 * diver@coolsms.co.kr
 */


/*
Usage (Opener):

        require_once "Window.php";

        $win = new Opener()
        $win->Init()

        ...
	btn = new Button("â");
	btn.SetAttr("onclick", $win->EventClick("?__tag=TAG", "TARGET_ID"));
        ...

Usage (Target):

	require_once "Window.php";

        $win = new Target(OPENER_FORM_NAME)
        $win->AddField("a1")
        $win->AddField("a2")
        $win->Init()

        ...
	$btn = new Button("Ϸ");
	$btn->SetAttr("onclick", $win->EventClick( array("a1_value", "a2_value") ));
        ...

 */

class Opener
{
	var $js;
	var $scrollbars;

	function Opener($scrollbars=1)
	{
		$this->scrollbars = $scrollbars;
	}

	function Init()
	{
		global $doc;

		$this->js = "function window_opener_open(url, id, width, height) {";
		$this->js .= sprintf("window.open(url, id, 'width='+width+',height='+height+',resizable=0,scrollbars=%d,alwaysRaised=yes,z-lock=yes,status=no');", $this->scrollbars);
		$this->js .= "if(event) {";
		$this->js .= "event.returnValue=false;";
		$this->js .= "}";
		$this->js .= "}";

		$doc->AddJs($this->js);
	}

	function MakeOpenWindow($target_url, $id, $width=500, $height=400)
	{
		return $this->EventClick($target_url, $id, $width, $height);
	}

	function EventClick($target_url, $id, $width=500, $height=400, $submit=FALSE)
	{
		return sprintf("window_opener_open('%s', '%s', '%d', '%d');"
			, sprintf("%s%s", $target_url, $submit ? "&__opener_submit=true" : "")
			, $id
			, $width
			, $height
		);
	}
}

class Target
{
	var $openerFormName;
	var $fields;
	var $opener_submit;
	var $focus_field;
	function Target($name="f")
	{
		$this->openerFormName = $name;
		$this->fields = array();
		$this->opener_submit = FALSE;
	}

	function AddField($key)
	{
		$this->fields[] = $key;
	}

	function SetOpenerSubmit($submit=TRUE)
	{
		$this->opener_submit = $submit;
	}

	function SetFocusField($fieldname)
	{
		$this->focus_field = $fieldname;
	}

	function Init()
	{
		global $doc;

		$fields = implode(",", $this->fields);

		$js = sprintf("function window_target_close_%s($fields) {", $this->openerFormName);
		for($i = 0; $i < count($this->fields); $i++)
		{
			$js .= sprintf("opener.document.%s.%s.value = %s;", 
				$this->openerFormName,
				$this->fields[$i],
				$this->fields[$i]);
		}
		if ($this->focus_field)
		{
			$js .= sprintf("opener.document.%s.%s.focus();", 
				$this->openerFormName,
				$this->focus_field);
		}

		if ($this->opener_submit)
		{
			$js .= sprintf("opener.document.%s.submit();",
				$this->openerFormName);
		}
		$js .= "window.close();";
		$js .= "}";

		$doc->AddJS($js);
	}

	function EventClick($values)
	{
		$comma_separated = implode("','", $values);
		return sprintf("window_target_close_%s('$comma_separated');", $this->openerFormName);
	}

	function MakeCloseWindow($values)
	{
		return $this->EventClick($values);
	}
}


?>
